- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_get_id()

## Synopsis

    int64_t
    mongoc_cursor_get_id (const mongoc_cursor_t *cursor);

## Parameters

- `cursor`: A mongoc_cursor_t.

## Description

Retrieves the cursor id used by the server to track the cursor.

This number is zero until the driver actually uses a server when executing the query, and after it has fetched all results from the server.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.